### Function

# Atspi deregister_keystroke_listener

#### Declaration [src]

    gboolean
    atspi_deregister_keystroke_listener (
      AtspiDeviceListener* listener,
      GArray* key_set,
      AtspiKeyMaskType modmask,
      AtspiKeyEventMask event_types,
      GError** error
    )

#### Description [src]

Removes a keystroke event listener from the registry’s listener queue, ceasing notification of events with modifiers matching `modmask`.

#### Parameters

`listener`

  Type: `AtspiDeviceListener`

  A pointer to the `AtspiDeviceListener` for which keystroke events are requested.

  The data is owned by the caller of the function.

`key_set`

  Type: An array of `AtspiKeyDefinition*`

  A pointer to the `AtspiKeyDefinition` array indicating which keystroke events are requested, or `NULL` to indicate that all keycodes and keyvals for the specified modifier set are to be included.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`modmask`

  Type: `AtspiKeyMaskType`

  The key modifier mask for which this listener is to be ‘deregistered’ (of type `AtspiKeyMaskType`).

`event_types`

  Type: `AtspiKeyEventMask`

  An `AtspiKeyMaskType` mask indicating which types of key events were requested (`ATSPI_KEY_PRESSED`, etc.).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.